## ros-noetic-robot-controllers-msgs 0.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_controllers_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib_msgs
    message_generation
    std_msgs
)

add_message_files(
  FILES
    ControllerState.msg
    DiffDriveLimiterParams.msg
)

add_action_files(
  FILES
    QueryControllerStates.action
)

generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-noetic-robot-controllers-msgs (0.7.0-1focal) focal; urgency=high

  * Updates maintainers
  * Contributors: Alex Moriarty, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 22 Feb 2021 08:00:00 -0000

ros-noetic-robot-controllers-msgs (0.6.0-1focal) focal; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 11 Jul 2018 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.5.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 11 Jun 2017 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.5.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.5.1-1focal) focal; urgency=high

  * Add DiffDriveLimiterParams message
  * Contributors: Derek King

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.5.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 21 Feb 2016 08:00:00 -0000

ros-noetic-robot-controllers-msgs (0.4.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Dec 2015 08:00:00 -0000

ros-noetic-robot-controllers-msgs (0.4.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 22 Oct 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.4.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.4.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 23 May 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.3.4-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 22 May 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.3.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 03 May 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.3.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 09 Apr 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.3.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 28 Mar 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.3.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-noetic-robot-controllers-msgs (0.1.4-1focal) focal; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 13 Mar 2015 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-robot-controllers-msgs
Section: misc
Priority: optional
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-robot-controllers-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Messages for use with robot_controllers framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-robot-controllers-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
